Message: Trying to use any analysis tool Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Trying to use any analysis tool 

Keywords: analysis A01 AnEx01
Forum: Analysis
Date: 26 Sep, 2006
From: michal <asher_michal@yahoo.com>

Hi,

I'm trying to set an analysis system for geant 4.8.01. I've failed with both AIDAJNI3.2.3+JAIDA 3.2.3 and Openscientist v15r0 (lab).

for Openscientist v15r0, example AnaEx01 the error message in compilation is:

Linking AnaEx01 ... /home/simul1/geant4/source/Analysis/OpenScientist/v15r0/lib/libLabAnalysisFactory.so: could not read symbols: File in wrong format

collect2: ld returned 1 exit status
gmake: *** [/home/simul1/geant4/source/geant4/bin/Linux-g++/AnaEx01] Error 1

so I tried to use version v14r0 instead, but it's installation failed .

for AIDAJNI3.2.3+JAIDA 3.2.3, example A01 I received :

Creating shared library /home/simul1/geant4/source/geant4/tmp/Linux-g++/A01app/libA01app.so ... Compiling A01app.cc ... Using granular libraries ... Linking A01app ... /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /home/simul1/geant4/source/Analysis/AIDAJNI-3.2.3/lib/Linux-g++2/libAIDAJNI.so when searching for -lAIDAJNI /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /home/simul1/geant4/source/Analysis/AIDAJNI-3.2.3/lib/Linux-g++2/libAIDAJNI.a when searching for -lAIDAJNI /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lAIDAJNI

collect2: ld returned 1 exit status
gmake: *** [/home/simul1/geant4/source/geant4/bin/Linux-g++/A01app] Error 1

my OS is suse 10

many thanks in advance for your help

michal

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Trying to use any analysis tool   (michel maire - 26 Sep, 2006)
3 None: Re: Trying to use any analysis tool   (Guy Barrand - 09 Oct, 2006)
 Add Message Add Message
to: "Trying to use any analysis tool"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]